package com.ruoyi.system.domain.req;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author zhuqing
 * @Date 2022/8/4
 */
@ApiModel(value = "PcTDoctorQueryByPageReq", description = "PC端分页医生入参实体")
public class PcTDoctorQueryByPageReq {

    @ApiModelProperty("医院id")
    private Long hospitalId;

    /**
     * startTime
     */
    @ApiModelProperty("开始时间")
    private Date startTime;

    /**
     * endTime
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

    /** 编号 */
    @ApiModelProperty("编号")
    private String identifier;

    /** 名称 */
    @ApiModelProperty("名称")
    private String name;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
